Bug 189472 - rpm can't rollback twice
Summary: rpm can't rollback twice
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-20 10:29 UTC by Bastien Nocera
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-25 09:28:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bastien Nocera 2006-04-20 10:29:50 UTC
rpm-4.2.3-24_nonptl

rpm will fail to rollback to the original package if 2 upgrades with rollback
have been done. Same problem exists on RHEL4.

# ls -1
ksh-20040229-6.x86_64.rpm
ksh-20040229-7.x86_64.rpm
ksh-20040229-8.x86_64.rpm

# date
Thu Apr 13 16:43:44 BST 2006
# rpm -Uvh --oldpackage ksh-20040229-6.x86_64.rpm
Preparing...                ########################################### [100%]
  1:ksh                    ########################################### [100%]
# date
Thu Apr 13 16:44:07 BST 2006
# rpm -Uvh --repackage ksh-20040229-7.x86_64.rpm
Preparing...                ########################################### [100%]
Repackaging...
  1:ksh                    ########################################### [100%]
Upgrading...
  1:ksh                    ########################################### [100%]
# date
Thu Apr 13 16:44:19 BST 2006
# rpm -Uvh --repackage ksh-20040229-8.x86_64.rpm
Preparing...                ########################################### [100%]
Repackaging...
  1:ksh                    ########################################### [100%]
Upgrading...
  1:ksh                    ########################################### [100%]
# rpm -Uvh --rollback "Thu Apr 13 16:44:19 BST 2006"
Rollback packages (+1/-1) to Thu Apr 13 16:44:46 2006 (0x443e71ee):
Preparing...                ########################################### [100%]
  1:ksh                    ########################################### [ 50%]
# rpm -q ksh
ksh-20040229-7
# rpm -Uvh --rollback "Thu Apr 13 16:44:07 BST 2006"
# ls /var/spool/repackage/
total 713kB
713kB ksh-20040229-6.x86_64.rpm
# up2date --list-rollbacks install time: Thu Apr 13 16:44:17 2006   tid:1144943057
               [-] ksh-20040229-6:


# rpm -Uvh --rollback "Thu Apr 13 16:43:44 BST 2006"
# up2date --list-rollbacks
install time: Thu Apr 13 16:44:17 2006   tid:1144943057
               [-] ksh-20040229-6:

Comment 1 Bastien Nocera 2006-04-20 13:48:47 UTC
Problem doesn't exist with RPM 4.4.3 from upstream

Comment 3 Bastien Nocera 2006-04-25 09:28:27 UTC
Rollback isn't supported in stand-alone RHEL. One should use the rollback
functionality from RHN Satellite instead (which allows to rollback using
pristine packages, rather than repackaged ones).


Note You need to log in before you can comment on or make changes to this bug.